# SnapshotPublisher

    public struct SnapshotPublisher : Publisher

A `Publisher` that emits a `ListSnapshot` whenever changes occur in the `ListPublisher`.

See also

ListPublisher.reactive.snapshot(emitInitialValue:)

### Publisher

- `Output`

  #### Declaration

  Swift

      public typealias Output = ListSnapshot<O>

- `Failure`

  #### Declaration

  Swift

      public typealias Failure = Never

- `receive(subscriber:)`

  #### Declaration

  Swift

      public func receive<S>(subscriber: S) where S : Subscriber, S.Failure == Never, S.Input == ListSnapshot<O>